HTTPConnector (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.HTTPConnector interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface HTTPConnector

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  AJP13JettyConnector, JettyHTTPConnector

    public interface HTTPConnector

extends LogicalElement

HTTPConnector

Naming Rules:
  0="parent,primarySAP" 1="managedSystemName"
Persistable:
  true
Table Name:
  JBHCN
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`int` | `getAcceptCount()`
`boolean` | `getAllowChunking()`
`int` | `getBufferSize()`
`java.lang.String` | `getCompression()`
`int` | `getConfidentialPort()`
`java.lang.String` | `getConfidentialScheme()`
`int` | `getConnectionLinger()`
`int` | `getConnectionTimeout()`
`int` | `getDebug()`
`boolean` | `getDisableUploadTime()`
`boolean` | `getEnableLookups()`
`int` | `getIntegralPort()`
`java.lang.String` | `getIntegralScheme()`
`int` | `getMaxProcessors()`
`int` | `getMinProcessors()`
`java.lang.String` | `getName()`
`WebContainer` | `getParent()`
`int` | `getPort()`
`BindAddress` | `getPrimarySAP()`
`java.lang.String` | `getProtocolHandlerClassName()`
`java.lang.String` | `getProxyName()`
`int` | `getProxyPort()`
`java.lang.String` | `getScheme()`
`boolean` | `getSecure()`
`boolean` | `getTCPNoDelay()`
`boolean` | `hasAcceptCount()`
`boolean` | `hasAllowChunking()`
`boolean` | `hasBufferSize()`
`boolean` | `hasCompression()`
`boolean` | `hasConfidentialPort()`
`boolean` | `hasConfidentialScheme()`
`boolean` | `hasConnectionLinger()`
`boolean` | `hasConnectionTimeout()`
`boolean` | `hasDebug()`
`boolean` | `hasDisableUploadTime()`
`boolean` | `hasEnableLookups()`
`boolean` | `hasIntegralPort()`
`boolean` | `hasIntegralScheme()`
`boolean` | `hasMaxProcessors()`
`boolean` | `hasMinProcessors()`
`boolean` | `hasName()`
`boolean` | `hasParent()`
`boolean` | `hasPort()`
`boolean` | `hasPrimarySAP()`
`boolean` | `hasProtocolHandlerClassName()`
`boolean` | `hasProxyName()`
`boolean` | `hasProxyPort()`
`boolean` | `hasScheme()`
`boolean` | `hasSecure()`
`boolean` | `hasTCPNoDelay()`
`void` | `setAcceptCount(int count)`
`void` | `setAllowChunking(boolean chunking)`
`void` | `setBufferSize(int size)`
`void` | `setCompression(java.lang.String compression)`
`void` | `setConfidentialPort(int port)`
`void` | `setConfidentialScheme(java.lang.String scheme)`
`void` | `setConnectionLinger(int connection)`
`void` | `setConnectionTimeout(int timeOut)`
`void` | `setDebug(int debug)`
`void` | `setDisableUploadTime(boolean uploadTime)`
`void` | `setEnableLookups(boolean enableLookups)`
`void` | `setIntegralPort(int port)`
`void` | `setIntegralScheme(java.lang.String scheme)`
`void` | `setMaxProcessors(int count)`
`void` | `setMinProcessors(int count)`
`void` | `setName(java.lang.String name)`
`void` | `setParent(WebContainer parent)`
`void` | `setPort(int port)`
`void` | `setPrimarySAP(BindAddress sap)`
`void` | `setProtocolHandlerClassName(java.lang.String name)`
`void` | `setProxyName(java.lang.String name)`
`void` | `setProxyPort(int port)`
`void` | `setScheme(java.lang.String scheme)`
`void` | `setSecure(boolean secure)`
`void` | `setTCPNoDelay(boolean delay)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebContainer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### setParent

    void setParent(WebContainer parent)

### hasParent

    boolean hasParent()

### getEnableLookups

    boolean getEnableLookups()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableLookups

    void setEnableLookups(boolean enableLookups)

### hasEnableLookups

    boolean hasEnableLookups()

### getConfidentialScheme

    java.lang.String getConfidentialScheme()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfidentialScheme

    void setConfidentialScheme(java.lang.String scheme)

### hasConfidentialScheme

    boolean hasConfidentialScheme()

### getIntegralScheme

    java.lang.String getIntegralScheme()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIntegralScheme

    void setIntegralScheme(java.lang.String scheme)

### hasIntegralScheme

    boolean hasIntegralScheme()

### getSecure

    boolean getSecure()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSecure

    void setSecure(boolean secure)

### hasSecure

    boolean hasSecure()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getPrimarySAP

    BindAddress getPrimarySAP()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AccessedVia" reverse="false"

### setPrimarySAP

    void setPrimarySAP(BindAddress sap)

### hasPrimarySAP

    boolean hasPrimarySAP()

### getScheme

    java.lang.String getScheme()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setScheme

    void setScheme(java.lang.String scheme)

### hasScheme

    boolean hasScheme()

### getAcceptCount

    int getAcceptCount()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAcceptCount

    void setAcceptCount(int count)

### hasAcceptCount

    boolean hasAcceptCount()

### getBufferSize

    int getBufferSize()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBufferSize

    void setBufferSize(int size)

### hasBufferSize

    boolean hasBufferSize()

### getConnectionTimeout

    int getConnectionTimeout()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionTimeout

    void setConnectionTimeout(int timeOut)

### hasConnectionTimeout

    boolean hasConnectionTimeout()

### getDebug

    int getDebug()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebug

    void setDebug(int debug)

### hasDebug

    boolean hasDebug()

### getMaxProcessors

    int getMaxProcessors()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMaxProcessors

    void setMaxProcessors(int count)

### hasMaxProcessors

    boolean hasMaxProcessors()

### getMinProcessors

    int getMinProcessors()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMinProcessors

    void setMinProcessors(int count)

### hasMinProcessors

    boolean hasMinProcessors()

### getProxyName

    java.lang.String getProxyName()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProxyName

    void setProxyName(java.lang.String name)

### hasProxyName

    boolean hasProxyName()

### getProxyPort

    int getProxyPort()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProxyPort

    void setProxyPort(int port)

### hasProxyPort

    boolean hasProxyPort()

### getTCPNoDelay

    boolean getTCPNoDelay()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTCPNoDelay

    void setTCPNoDelay(boolean delay)

### hasTCPNoDelay

    boolean hasTCPNoDelay()

### getAllowChunking

    boolean getAllowChunking()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAllowChunking

    void setAllowChunking(boolean chunking)

### hasAllowChunking

    boolean hasAllowChunking()

### getProtocolHandlerClassName

    java.lang.String getProtocolHandlerClassName()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProtocolHandlerClassName

    void setProtocolHandlerClassName(java.lang.String name)

### hasProtocolHandlerClassName

    boolean hasProtocolHandlerClassName()

### getCompression

    java.lang.String getCompression()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCompression

    void setCompression(java.lang.String compression)

### hasCompression

    boolean hasCompression()

### getConnectionLinger

    int getConnectionLinger()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionLinger

    void setConnectionLinger(int connection)

### hasConnectionLinger

    boolean hasConnectionLinger()

### getDisableUploadTime

    boolean getDisableUploadTime()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisableUploadTime

    void setDisableUploadTime(boolean uploadTime)

### hasDisableUploadTime

    boolean hasDisableUploadTime()

### getIntegralPort

    int getIntegralPort()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIntegralPort

    void setIntegralPort(int port)

### hasIntegralPort

    boolean hasIntegralPort()

### getConfidentialPort

    int getConfidentialPort()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConfidentialPort

    void setConfidentialPort(int port)

### hasConfidentialPort

    boolean hasConfidentialPort()

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPort

    void setPort(int port)

### hasPort

    boolean hasPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD